package com.ssj.dao.weixin.library.dao;

import com.ssj.service.reading.out.*;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

public interface LibUserHistoryQueryDao {
	Page<Map<String, Object>> findForPage(Map<String, Object> searchParams, Pageable pageable);
	
	Page<Map<String, Object>> findForQGPage(Map<String, Object> searchParams, Pageable pageable);
	
	Page<Map<String, Object>> findForYDPage(Map<String, Object> searchParams, Pageable pageable);
	
	List<Map<String, Object>> getLibQGList(Map<String, Object> searchParams);
	List<Map<String, Object>> findRechargeInfo(String userId);
	
	List<Map<String, Object>> getLibYDList(Map<String, Object> searchParams);
	
	Page<Map<String, Object>> findCheckPage(Map<String, Object> searchParams, Pageable pageable);
	
	Page<Map<String, Object>> findCheckOutPage(Map<String, Object> searchParams, Pageable pageable);


    Page<VipSignOutDto> signList(Map<String, Object> params, Pageable pageable);

	List<VipSignOutDto> signList2(Map<String, Object> params);

    Page<LibSignMonthOutDto> signMonthList(Map<String, Object> params, Pageable pageable);

	Page<LibSignDayOutDto> dayInfoList(Map<String, Object> params, Pageable pageable);

	Page<LibAgencyOutDto> agencyVipList(Map<String, Object> params, Pageable pageable);

	List<LibBookLableOutDto> findThemeInfo(Map<String, Object> params);

	List<LibBookGradeOutDto> findGradeInfo(Map<String, Object> params);

    Page<BookBorrowOutDto> borrowInfoList(Map<String, Object> params, Pageable pageable);

    List<VipBorrowOutDto> findBorrowDetailList(String id, String infoId,String isClose,String libId);

	Page<LibAgencyOutDto> libVipList(Map<String, Object> params, Pageable pageable);

    List<VipServiceOutDto> findVipLibServiceList(Map<String, Object> params);

	List<VipSignDayDetailOutDto> vipSignInfoList(Map<String, Object> params);

    Page<ManagerOutDto> findManagerList(Map<String, Object> params, Pageable pageable);

	List<ManagerOutDto> findUserList(Map<String, Object> params);

    Map<String, Object> findBorrowInfo(Map<String, Object> params);

    List<Map<String, Object>> callBookBack(String libId);

    List<Map<String, Object>> getBackDetailList(List<String> idArr);

	List<BookBackOutDto> findBackdList(List<String> bookDetailsId);
}
